> ## Documentation Index
> Fetch the complete documentation index at: https://docs.explo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish to Environment

### Body

<ParamField body="embed_id" type="string">
  The embed id of your resource.
</ParamField>

<ParamField body="resource_type" type="string">
  The type of resource you're publishing - must be either "dashboard" or
  "report"
</ParamField>

<ParamField body="environment" type="string">
  The name of the environment you're publishing to.
</ParamField>

<ParamField body="version_number" type="number">
  The version number of the resource that you want to publish.
</ParamField>

### Response

<ResponseField name="success" type="number">
  Indicates whether the call was successful. 1 if successful, 0 if not.
</ResponseField>

<RequestExample>
  ```bash Example Request theme={null}
  curl --location --request POST 'https://api.explo.co/api/publish/' \
  --header 'Content-Type: application/json' \
  --header 'Explo-Authorization: Token <token>'
  --data-raw '{
      "embed_id": "123",
      "resource_type": "report",
      "environment": "production",
      "version_number": 15
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": 1
  }
  ```
</ResponseExample>
